import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
public class Crab extends Actor
{
    /**
     * Act - do whatever the Crab wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private GifImage gif = new GifImage("crabby.gif");
    public int score = 0;
    public int getScore()
    {
        return score;
    }
    
    private void eatWorm()
    {
        Level1 level1 = (Level1) getWorld();
        Score counter = level1.getScore();
        counter.bumpCount(10);
    }
    
    public void act() 
    {
        moveAndTurn();
        eat();
        setImage(gif.getCurrentImage());
    }    
    
    public void moveAndTurn()
    { 
        if (Greenfoot.isKeyDown("w"))
        {
            move(3);
        }
        if (Greenfoot.isKeyDown("s"))
        {
            move (-3);
        }
        if (Greenfoot.isKeyDown("d"))
        {
            turn(3);
        }
        if (Greenfoot.isKeyDown("a"))
        {
            turn(-3);
        }
    }
    
    public void eat()
    {
        Actor worm;
        worm = getOneObjectAtOffset(0, 0, Worm.class);
        if (worm != null)
        {
            World world;
            world = getWorld();
            world.removeObject(worm);
            Greenfoot.playSound("eating.wav");
            eatWorm();
        }
    }
    
    private void GameOver() 
    {
        GameOver gameOver = new GameOver();
        getWorld().addObject(gameOver, getWorld().getWidth()/2, getWorld().getHeight()/3 );
        
        RestartButton restart = new RestartButton();
        getWorld().addObject(restart, getWorld().getWidth()/2, getWorld().getHeight()/3 + gameOver.getImage().getHeight() + 20 );
        

        //RestartButton restart = new RestartButton();
        //getWorld().addObject(restart, getWorld().getWidth()/2, getWorld().getHeight()/2 + gameOver.getImage().getHeight() + 50);
        
        //Greenfoot.stop();
    }
}


