import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Level1
 * 
 * @author Sn3aKyGuY 
 * @version 09/20/2014
 */
public class Level1 extends World
{

    /**
     * Constructor for objects of class Level1.
     * 
     */
    private Wave10 theWave10;
    private Score theScore;
    private GreenfootSound bgMusic = new GreenfootSound("island.mp3");
    
    public void started()
    {
        bgMusic.playLoop();
    }
    
    public void stopped()
    {
        bgMusic.stop();
    }
    
    public Score getScore()
    {
        return theScore;
    }
    
    public Level1()
    {    
        super(600, 600, 1); 
        theScore = new Score();
        addObject(theScore, 85, 25);
        prepare();
        setPaintOrder(StartButton.class, GameOver.class, RestartButton.class, Lobster.class, Crab.class, Worm.class, Score.class, Wave.class);
    }
    
    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     *        ** setBackground(gif.getCurrentImage());**
     */
    public void act()
    {
        int randomNumber = 1 + Greenfoot.getRandomNumber(119);
        int xLo = 50;
        int xHi = 510;
        int xlLo = 50;
        int xlHi = 510;
        int yLo = 75;
        int yHi = 510;
        int ylLo = 300;
        int ylHi = 510;
        int randomX = xLo + Greenfoot.getRandomNumber(xHi - xLo);
        int randomY = yLo + Greenfoot.getRandomNumber(yHi - yLo);
        int randomXL = xlLo + Greenfoot.getRandomNumber(xlHi - xlLo);
        int randomYL = ylLo + Greenfoot.getRandomNumber(ylHi - ylLo);
        int lobsterCount = 0;  
        GreenfootImage getBackground;
        
        //if (theScore.getScore() == 10)
        //{
        //    theWave10 = new Wave10();
        //    addObject(theWave10, 95, 25);
        //}
              
        if (randomNumber > 0)
        {
            randomNumber--;
            if (randomNumber == 0)
            {
                if (getObjects(Worm.class).size() < 5)
                addObject(new Worm(), randomX, randomY);
            }            
        }
        //Wave 1
        if (theScore.getScore() == 0)
        {

            {
                if (getObjects(Lobster.class).size() < 1)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 2
        if (theScore.getScore() == 100)
        {
            {
                if (getObjects(Lobster.class).size() < 2)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }

        if (theScore.getScore() == 105)
        {
            {
                if (getObjects(Lobster.class).size() < 2)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 3
        if (theScore.getScore() == 200)
        {

            {
                if (getObjects(Lobster.class).size() < 3)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 205)
        {
            {
                if (getObjects(Lobster.class).size() < 3)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 4
        if (theScore.getScore() == 300)
        {

            {
                if (getObjects(Lobster.class).size() < 4)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 305)
        {
            {
                if (getObjects(Lobster.class).size() < 4)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 5
        if (theScore.getScore() == 400)
        {

            {
                if (getObjects(Lobster.class).size() < 5)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 405)
        {
            {
                if (getObjects(Lobster.class).size() < 5)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 6
        if (theScore.getScore() == 500)
        {

            {
                if (getObjects(Lobster.class).size() < 6)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 505)
        {
            {
                if (getObjects(Lobster.class).size() < 6)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 7
        if (theScore.getScore() == 600)
        {

            {
                if (getObjects(Lobster.class).size() < 7)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 605)
        {
            {
                if (getObjects(Lobster.class).size() < 7)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 8
        if (theScore.getScore() == 700)
        {

            {
                if (getObjects(Lobster.class).size() < 8)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 705)
        {
            {
                if (getObjects(Lobster.class).size() < 8)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 9
        if (theScore.getScore() == 800)
        {

            {
                if (getObjects(Lobster.class).size() < 9)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 805)
        {
            {
                if (getObjects(Lobster.class).size() < 9)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 10
        if (theScore.getScore() == 900)
        {

            {
                if (getObjects(Lobster.class).size() < 10)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 905)
        {
            {
                if (getObjects(Lobster.class).size() < 10)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 11
        if (theScore.getScore() == 1000)
        {

            {
                if (getObjects(Lobster.class).size() < 11)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 1005)
        {
            {
                if (getObjects(Lobster.class).size() < 11)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 12
        if (theScore.getScore() == 1100)
        {

            {
                if (getObjects(Lobster.class).size() < 12)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 1105)
        {
            {
                if (getObjects(Lobster.class).size() < 12)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 13
        if (theScore.getScore() == 1200)
        {

            {
                if (getObjects(Lobster.class).size() < 13)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 1205)
        {
            {
                if (getObjects(Lobster.class).size() < 13)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 14
        if (theScore.getScore() == 1300)
        {

            {
                if (getObjects(Lobster.class).size() < 14)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 1305)
        {
            {
                if (getObjects(Lobster.class).size() < 14)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        //Wave 15
        if (theScore.getScore() == 1400)
        {

            {
                if (getObjects(Lobster.class).size() < 15)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
        
        if (theScore.getScore() == 1405)
        {
            {
                if (getObjects(Lobster.class).size() < 15)
                addObject(new Lobster(), randomXL, randomYL);
            }
        }
    }
    
    private void prepare()
    {
        Crab crab = new Crab();
        addObject(crab, 280, 280);
        crab.setLocation(396, 75);
    }
}
